> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enso.build/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transaction for IPOR shortcut



## OpenAPI

````yaml /public/openapi.json post /api/v1/shortcuts/static/ipor
openapi: 3.0.0
info:
  title: Enso API
  description: >-
    #### Enso API

    - Find detailed documentation on
    [docs.enso.finance](https://docs.enso.finance).

    - To use the API, **you must include your API Key in the Authorization
    header** (Bearer format).

    - For testing, Swagger pre-authorizes you using the key:
    `1e02632d-6feb-4a75-a157-documentation` (1rps).

    - Get your own API Key at
    [enso.finance/developers](https://enso.finance/developers).
  version: 1.0.1
  contact: {}
servers:
  - url: https://api.enso.build
security:
  - {}
tags:
  - name: shortcuts
    description: ''
paths:
  /api/v1/shortcuts/static/ipor:
    post:
      tags:
        - DeFi Shortcuts
      summary: Get transaction for IPOR shortcut
      operationId: IporController_iporShortcutTransaction
      parameters:
        - name: chainId
          required: false
          in: query
          description: Chain ID of the network to execute the transaction on
          schema:
            default: 1
            type: number
        - name: fromAddress
          required: true
          in: query
          description: Ethereum address of the wallet to send the transaction from
          schema:
            example: '0xd8da6bf26964af9d7eed9e03e53415d37aa96045'
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IporShortcutInput'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IporShortcutTransaction'
components:
  schemas:
    IporShortcutInput:
      type: object
      properties:
        isRouter:
          type: boolean
          description: Flag that indicates whether to use the shared router
          nullable: true
        amountIn:
          type: string
          description: Amount of tokenIn in wei
          example: '1000000000000000'
        tokenIn:
          type: string
          description: >-
            Address of the tokenIn. For ETH, use
            0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee
          example: '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee'
        tokenBToBuy:
          type: string
          description: Address of the tokenBToBuy
          example: '0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48'
        percentageForTokenB:
          type: string
          description: >-
            Percentage of tokenB to buy in basis points (1/10000), e.g. 50 =
            0.50%.
          example: '5000'
        slippage:
          type: string
          description: Slippage in basis points (1/10000) e.g. 50 = 0.50%, Default is 300
          example: '300'
          default: '300'
        simulate:
          type: boolean
          description: >-
            Flag that indicates whether to simulate the transaction, verify some
            assertions, return simulationURL and events
          nullable: true
          default: false
      required:
        - amountIn
        - tokenIn
        - tokenBToBuy
        - percentageForTokenB
    IporShortcutTransaction:
      type: object
      properties:
        createdAt:
          type: number
          description: Block number the transaction was created on
        tx:
          description: The tx object to use in `ethers`
          allOf:
            - $ref: '#/components/schemas/Transaction'
        logs:
          description: Logs from the simulated transaction
          type: array
          items:
            type: string
        simulationURL:
          type: string
          description: Tenderly simulation URL
      required:
        - createdAt
        - tx
        - logs
        - simulationURL
    Transaction:
      type: object
      properties:
        data:
          type: string
        to:
          type: string
        from:
          type: string
        value:
          type: string
      required:
        - data
        - to
        - from
        - value

````